﻿using UnityEngine;
using System.Collections;

public class StartText:MonoBehaviour {
	public Vector3 startPos;
	public float time;

	void Start() {
		startPos = transform.position;
	}

	// Update rotation
	void Update () {
		float t = Mathf.Clamp((time - 0.3f) * (time - 0.3f) * (time - 0.3f), 0f, 1f);
		Vector3 pos = startPos + new Vector3(0f, 0.55f, 1f) * t * 100f;
		iTween.MoveUpdate(gameObject, iTween.Hash("position", pos, "time", 1));
		renderer.material.renderQueue = 4000;
	}
}
